Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc.xml
Class SVNXMLStatusHandler

    java.lang.Object
      org.tmatesoft.svn.core.wc.xml.AbstractXMLHandler
          org.tmatesoft.svn.core.wc.xml.SVNXMLStatusHandler

All Implemented Interfaces:
  ISVNStatusHandler

public class SVNXMLStatusHandler
extends AbstractXMLHandler
implements ISVNStatusHandler

This is an implementation of the ISVNStatusHandler interface that writes XML formatted status information to a specified ContentHandler.

Version:
  1.0
Author:
  TMate Software Ltd.

Field Summary
`static String` | `AUTHOR_TAG`
`static String` | `COMMENT_TAG`
`static String` | `COMMIT_TAG`
`static String` | `COPIED_ATTR`
`static String` | `CREATED_TAG`
`static String` | `DATE_TAG`
`static String` | `ENTRY_TAG`
`static String` | `EXPIRES_TAG`
`static String` | `ITEM_ATTR`
`static String` | `LOCK_TAG`
`static String` | `OWNER_TAG`
`static String` | `PATH_ATTR`
`static String` | `PROPS_ATTR`
`static String` | `REMOTE_STATUS_TAG`
`static String` | `REVISION_ATTR`
`static String` | `STATUS_TAG`
`static String` | `SWITCHED_ATTR`
`static String` | `TOKEN_TAG`
`static String` | `WC_LOCKED_ATTR`
`static String` | `WC_STATUS_TAG`

Constructor Summary
`SVNXMLStatusHandler(ContentHandler saxHandler)` Creates a new handler.

Method Summary
`void` | `endTarget(long revision)` Closes the formatted XML with the revision against which the status is run.
`protected String` | `getHeaderName()`
`protected String` | `getRelativePath(File path)`
`protected String` | `getTargetPath()`
`void` | `handleStatus(SVNStatus status)` Handles WC item's status information using an SVNStatus object.
`void` | `startTarget(File path)` Begins an XML tree with the target path for which the status is run.

Methods inherited from class org.tmatesoft.svn.core.wc.xml.AbstractXMLHandler
`addAttribute, addTag, closeTag, endDocument, openTag, startDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXPIRES_TAG

    public static final String EXPIRES_TAG

See Also:
  Constant Field Values

### CREATED_TAG

    public static final String CREATED_TAG

See Also:
  Constant Field Values

### COMMENT_TAG

    public static final String COMMENT_TAG

See Also:
  Constant Field Values

### OWNER_TAG

    public static final String OWNER_TAG

See Also:
  Constant Field Values

### TOKEN_TAG

    public static final String TOKEN_TAG

See Also:
  Constant Field Values

### DATE_TAG

    public static final String DATE_TAG

See Also:
  Constant Field Values

### AUTHOR_TAG

    public static final String AUTHOR_TAG

See Also:
  Constant Field Values

### REVISION_ATTR

    public static final String REVISION_ATTR

See Also:
  Constant Field Values

### SWITCHED_ATTR

    public static final String SWITCHED_ATTR

See Also:
  Constant Field Values

### COPIED_ATTR

    public static final String COPIED_ATTR

See Also:
  Constant Field Values

### WC_LOCKED_ATTR

    public static final String WC_LOCKED_ATTR

See Also:
  Constant Field Values

### PROPS_ATTR

    public static final String PROPS_ATTR

See Also:
  Constant Field Values

### ITEM_ATTR

    public static final String ITEM_ATTR

See Also:
  Constant Field Values

### PATH_ATTR

    public static final String PATH_ATTR

See Also:
  Constant Field Values

### REMOTE_STATUS_TAG

    public static final String REMOTE_STATUS_TAG

See Also:
  Constant Field Values

### LOCK_TAG

    public static final String LOCK_TAG

See Also:
  Constant Field Values

### COMMIT_TAG

    public static final String COMMIT_TAG

See Also:
  Constant Field Values

### WC_STATUS_TAG

    public static final String WC_STATUS_TAG

See Also:
  Constant Field Values

### ENTRY_TAG

    public static final String ENTRY_TAG

See Also:
  Constant Field Values

### STATUS_TAG

    public static final String STATUS_TAG

See Also:
  Constant Field Values

Constructor Detail

### SVNXMLStatusHandler

    public SVNXMLStatusHandler(ContentHandler saxHandler)

  Creates a new handler.

Parameters:
  `saxHandler` - a ContentHandler to form an XML tree

Method Detail

### startTarget

    public void startTarget(File path)

  Begins an XML tree with the target path for which the status is run.

  Parameters:
    `path` - a WC target path

### handleStatus

    public void handleStatus(SVNStatus status)
                      throws SVNException

  Description copied from interface: `ISVNStatusHandler`
  Handles WC item's status information using an SVNStatus object.

  Specified by:
    `handleStatus` in interface `ISVNStatusHandler`
  Parameters:
    `status` - an object that contains per item status information
  Throws:
    `SVNException`

### endTarget

    public void endTarget(long revision)

  Closes the formatted XML with the revision against which the status is run.

  Parameters:
    `revision` - a revision against which the status is run

### getRelativePath

    protected String getRelativePath(File path)

### getTargetPath

    protected String getTargetPath()

### getHeaderName

    protected String getHeaderName()

  Specified by:
    `getHeaderName` in class `AbstractXMLHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 TMate Software Ltd. All Rights Reserved.